{
  "cSpell.words": [
    "cloc",
    "firstrun",
    "fullscreen",
    "gnumake",
    "gnused",
    "gtklara",
    "makefiles",
    "mkpm",
    "nixpkgs",
    "Risser",
    "stdenv"
  ],
  "psi-header.variables": [["projectCreationYear", "2022"]],
  "psi-header.config": {
    "blankLinesAfter": 1,
    "company": "Risser Labs LLC",
    "copyrightHolder": "Risser Labs LLC",
    "creationDateZero": "asIs",
    "forceToTop": true,
    "initials": "CR",
    "license": "Custom"
  },
  "psi-header.license-text": [
    " Licensed under the Apache License, Version 2.0 (the \"License\");",
    " you may not use this file except in compliance with the License.",
    " You may obtain a copy of the License at",
    "",
    "     http://www.apache.org/licenses/LICENSE-2.0",
    "",
    " Unless required by applicable law or agreed to in writing, software",
    " distributed under the License is distributed on an \"AS IS\" BASIS,",
    " WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.",
    " See the License for the specific language governing permissions and",
    " limitations under the License."
  ],
  "psi-header.templates": [
    {
      "language": "*",
      "template": [
        " File: <<filerelativepath>>",
        " Project: <<projectname>>",
        " File Created: <<filecreated('DD-MM-YYYY HH:mm:ss')>>",
        " Author: <<author>>",
        " -----",
        " Last Modified: <<dateformat('DD-MM-YYYY HH:mm:ss')>>",
        " Modified By: <<author>>",
        " -----",
        " <<copyrightholder>> (c) Copyright <<yeartoyear(<<projectCreationYear>>, now)>>",
        "",
        "<<licensetext>>"
      ]
    }
  ],
  "psi-header.lang-config": [
    {
      "language": "*",
      "begin": "/**",
      "blankLinesAfter": 1,
      "end": " */",
      "forceToTop": true,
      "lineLength": 80,
      "modAuthor": "Modified By:",
      "modDate": "Last Modified:",
      "modDateFormat": "dd-MM-yyyy HH:mm:ss",
      "prefix": " *",
      "replace": ["File:"],
      "rootDirFileName": "LICENSE",
      "suffix": ""
    },
    {
      "language": "python",
      "begin": "",
      "blankLinesAfter": 1,
      "end": "",
      "forceToTop": true,
      "lineLength": 80,
      "modAuthor": "Modified By:",
      "modDate": "Last Modified:",
      "modDateFormat": "dd-MM-yyyy HH:mm:ss",
      "prefix": "#",
      "replace": ["File:"],
      "rootDirFileName": "LICENSE",
      "suffix": ""
    },
    {
      "language": "makefile",
      "begin": "",
      "blankLinesAfter": 1,
      "end": "",
      "forceToTop": true,
      "lineLength": 80,
      "modAuthor": "Modified By:",
      "modDate": "Last Modified:",
      "modDateFormat": "dd-MM-yyyy HH:mm:ss",
      "prefix": "#",
      "replace": ["File:"],
      "rootDirFileName": "LICENSE",
      "suffix": ""
    }
  ],
  "psi-header.changes-tracking": {
    "autoHeader": "autoSave",
    "enforceHeader": true,
    "include": ["javascript", "typescript", "yaml", "python", "makefile"],
    "isActive": true,
    "modAuthor": "Modified By:",
    "modDate": "Last Modified:",
    "modDateFormat": "dd-MM-yyyy hh:nn:ss",
    "replace": ["Filename:"],
    "updateLicenseVariables": true
  },
  "psi-header.license-reference": {
    "uri": "../LICENSE",
    "uriIsLocalFile": true
  },
  "[jsonc]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[typescript]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[json]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[javascript]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "[yaml]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },
  "editor.formatOnSave": true,
  "explorer.autoReveal": false,
  "javascript.updateImportsOnFileMove.enabled": "always",
  "python.formatting.provider": "black",
  "typescript.updateImportsOnFileMove.enabled": "always"
}
